cURL
curl -X GET "https://app.cotool.ai/api/threat-assessment-runs/:id/cited-tool-calls" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/api/threat-assessment-runs/{id}/cited-tool-calls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/api/threat-assessment-runs/{id}/cited-tool-calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/threat-assessment-runs/{id}/cited-tool-calls")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/threat-assessment-runs/{id}/cited-tool-calls"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"toolCalls": [
{
"toolUseId": "<string>",
"toolName": "<string>",
"toolDisplayName": "<string>",
"briefActionDescription": "<string>",
"visibleActionInput": "<string>",
"frontendOutput": "<string>",
"timestamp": 123,
"input": "<unknown>"
}
]
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Hunt
Resolve cited tool calls for an assessment run
Resolves the inline <cite> tool-use ids referenced by a run, its exposure story, deliverables, diff, or Hunt Alert payload into the underlying read-only tool calls (query/input and result).
GET
/
api
/
threat-assessment-runs
/
{id}
/
cited-tool-calls
cURL
curl -X GET "https://app.cotool.ai/api/threat-assessment-runs/:id/cited-tool-calls" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/api/threat-assessment-runs/{id}/cited-tool-calls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/api/threat-assessment-runs/{id}/cited-tool-calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/threat-assessment-runs/{id}/cited-tool-calls")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/threat-assessment-runs/{id}/cited-tool-calls"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"toolCalls": [
{
"toolUseId": "<string>",
"toolName": "<string>",
"toolDisplayName": "<string>",
"briefActionDescription": "<string>",
"visibleActionInput": "<string>",
"frontendOutput": "<string>",
"timestamp": 123,
"input": "<unknown>"
}
]
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Was this page helpful?
⌘I